Subject: Re: [PATCH v13 net-next 09/15] net: mvpp2: enable global flow control

From: Russell King - ARM Linux admin <[email-masked]>
Date: Thu, 11 Feb 2021 12:52:35 +0000

On Thu, Feb 11, 2021 at 12:48:56PM +0200, [email-masked] wrote:
> +static void mvpp2_cm3_write(struct mvpp2 *priv, u32 offset, u32 data)
> +{
> +	writel(data, priv->cm3_base + offset);
> +}
> +
> +static u32 mvpp2_cm3_read(struct mvpp2 *priv, u32 offset)
> +{
> +	return readl(priv->cm3_base + offset);
> +}
> +

Would it also make sense to have mvpp2_cm3_modify() ? You seem to be
adding several instances of read-modify-write sequences to CM3 RAM in
your series.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!